{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "/bin/cat"
            ],
            "stdout": "per_chromosome_pindel.out",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cat_out.cwl/pindel_outs"
                }
            ],
            "id": "#cat_out.cwl",
            "outputs": [
                {
                    "type": "File",
                    "id": "#cat_out.cwl/pindel_out",
                    "outputBinding": {
                        "glob": "per_chromosome_pindel.out"
                    }
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "label": "pindel v0.2.5b8",
            "arguments": [
                "/usr/bin/perl",
                "/usr/bin/pindel_helper.pl",
                "$(inputs.normal_cram.path)",
                "$(inputs.tumor_cram.path)",
                "$(inputs.insert_size)"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 16000,
                    "tmpdirMin": 100000
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-c",
                        "position": 2
                    },
                    "id": "#pindel.cwl/chromosome"
                },
                {
                    "type": "int",
                    "default": 400,
                    "id": "#pindel.cwl/insert_size"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.crai"
                    ],
                    "id": "#pindel.cwl/normal_cram"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-f",
                        "position": 1
                    },
                    "id": "#pindel.cwl/reference"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.crai"
                    ],
                    "id": "#pindel.cwl/tumor_cram"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "all_D"
                    },
                    "id": "#pindel.cwl/deletions"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "all_SI"
                    },
                    "id": "#pindel.cwl/insertions"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "all_INV"
                    },
                    "id": "#pindel.cwl/inversions"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "all_LI"
                    },
                    "id": "#pindel.cwl/long_insertions"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "all_TD"
                    },
                    "id": "#pindel.cwl/tandems"
                }
            ],
            "id": "#pindel.cwl"
        },
        {
            "class": "Workflow",
            "label": "Per-chromosome pindel",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/chromosome"
                },
                {
                    "type": "int",
                    "default": 400,
                    "id": "#main/insert_size"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.crai"
                    ],
                    "id": "#main/normal_cram"
                },
                {
                    "type": "string",
                    "id": "#main/reference"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.crai"
                    ],
                    "id": "#main/tumor_cram"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/cat/pindel_out",
                    "id": "#main/per_chromosome_pindel_out"
                }
            ],
            "steps": [
                {
                    "run": "#cat_out.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/pindel/deletions",
                                "#main/pindel/insertions",
                                "#main/pindel/tandems",
                                "#main/pindel/long_insertions",
                                "#main/pindel/inversions"
                            ],
                            "id": "#main/cat/pindel_outs"
                        }
                    ],
                    "out": [
                        "#main/cat/pindel_out"
                    ],
                    "id": "#main/cat"
                },
                {
                    "run": "#pindel.cwl",
                    "in": [
                        {
                            "source": "#main/chromosome",
                            "id": "#main/pindel/chromosome"
                        },
                        {
                            "source": "#main/insert_size",
                            "id": "#main/pindel/insert_size"
                        },
                        {
                            "source": "#main/normal_cram",
                            "id": "#main/pindel/normal_cram"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/pindel/reference"
                        },
                        {
                            "source": "#main/tumor_cram",
                            "id": "#main/pindel/tumor_cram"
                        }
                    ],
                    "out": [
                        "#main/pindel/deletions",
                        "#main/pindel/insertions",
                        "#main/pindel/tandems",
                        "#main/pindel/long_insertions",
                        "#main/pindel/inversions"
                    ],
                    "id": "#main/pindel"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
